[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [PATCH v2] Requires gettext for client package



于 2011年02月18日 04:12, Eric Blake 写道:
On 02/17/2011 03:05 AM, Osier Yang wrote:
libvirt-guests invokes functions in gettext.sh, so we need to
require gettext package in spec file.

Demo with the fix:
% rpm -q gettext
package gettext is not installed

% rpm -ivh libvirt-client-0.8.8-1.fc14.x86_64.rpm
error: Failed dependencies:
	gettext is needed by libvirt-client-0.8.8-1.fc14.x86_64


+++ b/libvirt.spec.in
@@ -415,6 +415,7 @@ Requires: ncurses
  # So remote clients can access libvirt over SSH tunnel
  # (client invokes 'nc' against the UNIX socket on the server)
  Requires: nc

[note to self - it might be possible to drop the nc dependency in the
future, once I finish my conversion from -migration exec: to -migration
fd:, since the spec file only targets distros with new-enough qemu
0.12.0 or newer; nc would still be needed for qemu 0.10.0, though]

+Requires: gettext

Maybe worth adding a comment before this line, justifying the requires
(just like we did before the nc requirement):

# Needed by libvirt-guests init script

ACK with that nit addressed.


Pushed with the comments added

Regards,
Osier


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]